summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorJohan Bergström (jbergstroem) <bugs@bergstroem.nu>2010-03-23 15:20:05 +0000
committerJohan Bergström (jbergstroem) <bugs@bergstroem.nu>2010-03-23 15:20:05 +0000
commit19101af82c47d03dc61d7356239c70c4ffd73394 (patch)
treeea19ec6d0f48c84728ef9342a66d41393db7f52b /dev-db
parentdev-db/pgmemcache: Version bump (diff)
downloadsunrise-19101af82c47d03dc61d7356239c70c4ffd73394.tar.gz
sunrise-19101af82c47d03dc61d7356239c70c4ffd73394.tar.bz2
sunrise-19101af82c47d03dc61d7356239c70c4ffd73394.zip
dev-db/pgbouncer: Fix broken doc IUSE, install docs in proper dir
svn path=/sunrise/; revision=10336
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/pgbouncer/ChangeLog4
-rw-r--r--dev-db/pgbouncer/Manifest4
-rw-r--r--dev-db/pgbouncer/pgbouncer-1.3.2.ebuild11
3 files changed, 13 insertions, 6 deletions
diff --git a/dev-db/pgbouncer/ChangeLog b/dev-db/pgbouncer/ChangeLog
index 17a1f1821..20ee764c7 100644
--- a/dev-db/pgbouncer/ChangeLog
+++ b/dev-db/pgbouncer/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 23 Mar 2010; Johan Bergström (jbergstroem) <bugs@bergstroem.nu>
+ pgbouncer-1.3.2.ebuild:
+ Fix broken doc IUSE, install docs in proper dir
+
21 Mar 2010; Johan Bergström (jbergstroem) <bugs@bergstroem.nu>
pgbouncer-1.3.2.ebuild:
Only use IUSE=doc for extra docs
diff --git a/dev-db/pgbouncer/Manifest b/dev-db/pgbouncer/Manifest
index cce39ca3a..92578394c 100644
--- a/dev-db/pgbouncer/Manifest
+++ b/dev-db/pgbouncer/Manifest
@@ -1,6 +1,6 @@
AUX modify-config-paths.patch 572 RMD160 cd84c2aa6a9eb4fd8e0e244bf80883ab9b6e8c13 SHA1 d2a62c820199fdd4ed2966ec9e35dab8b9322ce3 SHA256 8ee4f5563d4e4136194c7ebdba0d6ca6beaef08c4356c908923ec9203f6f3073
AUX pgbouncer.initd 551 RMD160 5a1de7ff3a60b8f9257d42a11b27053620600cff SHA1 c5de3abe36e4aa0a57ccf198f58ddeccbef083a7 SHA256 7b4b5b5510b98786a4d5f7c9cd1d1ba48f3eee65438aa09211f1d50e1b5b1c6e
DIST pgbouncer-1.3.2.tgz 166756 RMD160 972eba01299668af01150fd5bf33bff5abd00af2 SHA1 b5abe08641bfce5363158f2cd64cd1318eb48c6b SHA256 67148ce54e9d332ccb83f45d1b3ad8198615c5fbc7c25f68a3b408deac813d5a
-EBUILD pgbouncer-1.3.2.ebuild 1537 RMD160 83c8f8f965561b5466da80004499365c7ed834a9 SHA1 f22ddb8d6234a6cd3c136b8a85682e00d5e7f12d SHA256 6542b9c0abe7eceb3a071e360ee8a2b2b27db45b72a00193b82988f014388c78
-MISC ChangeLog 1078 RMD160 b32729807eccb46d97f2c1e28bc77cfd2f4b9a77 SHA1 ab21664c8706296fca2402a2cb147312c1b35ed6 SHA256 5cd76b53f42c68f7b1f454f903f0284af71c51fc4dbf9d1894a846a766199d67
+EBUILD pgbouncer-1.3.2.ebuild 1575 RMD160 bd587700eae29fd72907ab527a59c2c1ab224d2f SHA1 4b6593bbc850ac22b0c24a1ba67cec0dc921d4ca SHA256 5d73d17a9686dba4a8f9f51885ec21bb16c3a57b5971be1b38c3a3b9b2b1b4a8
+MISC ChangeLog 1222 RMD160 801b653947e9cead536b11be345d8f895bfd06d0 SHA1 b03495405a5480fb36c380a3d09f830fa80a864f SHA256 716fc2bae80b66d2f854e1a012ad940e44277d5daa87b16349781eeb41633a7d
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-db/pgbouncer/pgbouncer-1.3.2.ebuild b/dev-db/pgbouncer/pgbouncer-1.3.2.ebuild
index 7c3ac4fcc..f9224ab33 100644
--- a/dev-db/pgbouncer/pgbouncer-1.3.2.ebuild
+++ b/dev-db/pgbouncer/pgbouncer-1.3.2.ebuild
@@ -32,20 +32,23 @@ src_prepare() {
src_configure() {
econf \
$(use_enable debug) \
- $(use_enable debug cassert)
+ $(use_enable debug cassert) \
+ --docdir=/usr/share/doc/${PF}
}
src_install() {
emake DESTDIR="${D}" install || die "Install failed"
insinto /etc
- newins "${S}"/etc/pgbouncer.ini pgbouncer.conf || die "Install failed"
+ newins etc/pgbouncer.ini pgbouncer.conf || die "Install failed"
newinitd "${FILESDIR}"/pgbouncer.initd "${PN}" || die "Install failed"
dodoc README NEWS AUTHORS || die "Install failed"
- use doc && dodoc doc/*.txt || die "Install failed"
+ if use doc ; then
+ dodoc doc/*.txt || die "Install failed"
+ fi
- keepdir /var/{run,log}/pgbouncer/
+ dodir /var/{run,log}/pgbouncer/
fperms 0700 /var/{run,log}/pgbouncer/
fowners pgbouncer:pgbouncer /var/{run,log}/pgbouncer/
}